Package com.independentsoft.office.vml

# Class Shadow

java.lang.Object
com.independentsoft.office.vml.Shadow

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Shadow extends Object implements IShapeElement, IVmlElement
The Class Shadow.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shadow()`
  Instantiates a new shadow.
  `Shadow​(InternalXMLStreamReader reader)`
  Instantiates a new shadow.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shadow`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getID()`
  Gets the id.
  `String`
  `getMatrix()`
  Gets the matrix.
  `String`
  `getOpacity()`
  Gets the opacity.
  `String`
  `getOrigin()`
  Gets the origin.
  `String`
  `getPrimaryColor()`
  Gets the primary color.
  `String`
  `getPrimaryOffset()`
  Gets the primary offset.
  `String`
  `getSecondaryColor()`
  Gets the secondary color.
  `String`
  `getSecondaryOffset()`
  Gets the secondary offset.
  `ShadowType`
  `getType()`
  Gets the type.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `boolean`
  `isTransparent()`
  Checks if is transparent.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setMatrix​(String matrix)`
  Sets the matrix.
  `void`
  `setOpacity​(String opacity)`
  Sets the opacity.
  `void`
  `setOrigin​(String origin)`
  Sets the origin.
  `void`
  `setPrimaryColor​(String primaryColor)`
  Sets the primary color.
  `void`
  `setPrimaryOffset​(String primaryOffset)`
  Sets the primary offset.
  `void`
  `setSecondaryColor​(String secondaryColor)`
  Sets the secondary color.
  `void`
  `setSecondaryOffset​(String secondaryOffset)`
  Sets the secondary offset.
  `void`
  `setTransparent​(boolean isTransparent)`
  Sets the transparent.
  `void`
  `setType​(ShadowType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Shadow

    public Shadow()
    Instantiates a new shadow.

  - ### Shadow

    public Shadow​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new shadow.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Shadow clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPrimaryColor

    public String getPrimaryColor()
    Gets the primary color.
    Returns:
      the primary color

  - ### setPrimaryColor

    public void setPrimaryColor​(String primaryColor)
    Sets the primary color.
    Parameters:
      `primaryColor` - the new primary color

  - ### getSecondaryColor

    public String getSecondaryColor()
    Gets the secondary color.
    Returns:
      the secondary color

  - ### setSecondaryColor

    public void setSecondaryColor​(String secondaryColor)
    Sets the secondary color.
    Parameters:
      `secondaryColor` - the new secondary color

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getMatrix

    public String getMatrix()
    Gets the matrix.
    Returns:
      the matrix

  - ### setMatrix

    public void setMatrix​(String matrix)
    Sets the matrix.
    Parameters:
      `matrix` - the new matrix

  - ### isTransparent

    public boolean isTransparent()
    Checks if is transparent.
    Returns:
      true, if is transparent

  - ### setTransparent

    public void setTransparent​(boolean isTransparent)
    Sets the transparent.
    Parameters:
      `isTransparent` - the new transparent

  - ### getPrimaryOffset

    public String getPrimaryOffset()
    Gets the primary offset.
    Returns:
      the primary offset

  - ### setPrimaryOffset

    public void setPrimaryOffset​(String primaryOffset)
    Sets the primary offset.
    Parameters:
      `primaryOffset` - the new primary offset

  - ### getSecondaryOffset

    public String getSecondaryOffset()
    Gets the secondary offset.
    Returns:
      the secondary offset

  - ### setSecondaryOffset

    public void setSecondaryOffset​(String secondaryOffset)
    Sets the secondary offset.
    Parameters:
      `secondaryOffset` - the new secondary offset

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getOpacity

    public String getOpacity()
    Gets the opacity.
    Returns:
      the opacity

  - ### setOpacity

    public void setOpacity​(String opacity)
    Sets the opacity.
    Parameters:
      `opacity` - the new opacity

  - ### getOrigin

    public String getOrigin()
    Gets the origin.
    Returns:
      the origin

  - ### setOrigin

    public void setOrigin​(String origin)
    Sets the origin.
    Parameters:
      `origin` - the new origin

  - ### getType

    public ShadowType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ShadowType type)
    Sets the type.
    Parameters:
      `type` - the new type